#ifndef MYTHCDROM_H
#define MYTHCDROM_H

#include "mythmedia.h"

class MythCDROM : public MythMediaDevice
{
    Q_OBJECT

 protected:
    virtual void onDeviceMounted();
 public:
    MythCDROM(QObject* par, const char* DevicePath, bool SuperMount, bool AllowEject);
    virtual ~MythCDROM(){};
    virtual MediaError  testMedia();
    bool mediaChanged();
    bool checkOK();
    virtual bool openDevice();
    virtual MediaStatus checkMedia();
    virtual MediaError eject();
    virtual MediaError lock();
    virtual MediaError unlock();
};


#endif
